package com.example.happy_bird;

import javafx.application.Application;
import javafx.event.ActionEvent;
import javafx.event.EventHandler;
import javafx.fxml.FXMLLoader;
import javafx.geometry.Insets;
import javafx.geometry.Pos;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.control.TextField;
import javafx.scene.image.*;
import javafx.scene.image.Image;
import javafx.scene.layout.*;
import javafx.scene.text.TextAlignment;
import javafx.stage.Stage;

import java.awt.*;
import java.io.IOException;

public class HappyBirdMain extends Application {

    public static void main(String[] args) {
        launch(args);
    }

    @Override
    public void start(Stage stage) throws IOException {
        Pane pane = new Pane();

        Scene scene = new Scene(pane, 800, 700);
        stage.setTitle("Happy Bird");
        stage.setScene(scene);

        Image image = new Image("file:src/main/resources/com/example/happy_bird/pics/Background.png");
        BackgroundImage backgroundImageImg = new BackgroundImage(
                image,
                BackgroundRepeat.NO_REPEAT,
                BackgroundRepeat.NO_REPEAT,
                BackgroundPosition.DEFAULT,
                BackgroundSize.DEFAULT
        );

        Background background = new Background(backgroundImageImg);
        pane.setBackground(background);

        Label headline = new Label("Happy Bird");
        headline.setPrefSize(300, 75);
        headline.setTextAlignment(TextAlignment.CENTER);
        headline.setStyle("-fx-background-color: #DED894; " +
                "-fx-text-fill: #000000; " +
                "-fx-font-size: 35px; " +
                "-fx-border-width: 5px;" +
                "-fx-border-color: #543847;" +
                "-fx-font-weight: bold;" +
                "-fx-alignment: center;" +
                "-fx-background-radius: 20px;" +
                "-fx-border-radius: 15px;");
        headline.setLayoutX(250);
        headline.setLayoutY(100);

        pane.getChildren().addAll(headline);

        Button startButton = new Button("START");
        Button highscoresButton = new Button("HIGHSCORES");
        Button settingsButton = new Button("EINSTELLUNGEN");
        Button spielStarten = new Button("SPIEL STARTEN");

        Button buttons[] = {startButton, highscoresButton, settingsButton, spielStarten};

        int yPosition = 225;
        for (Button button : buttons) {
            pane.getChildren().add(button);
            button.setPrefSize(200, 50);
            button.setLayoutX(300);
            button.setLayoutY(yPosition);
            yPosition += 100;

            button.setStyle("-fx-background-color: #e86000; " +
                    "-fx-text-fill: #FFFFFF; " +
                    "-fx-font-size: 20px; " +
                    "-fx-border-width: 5px;" +
                    "-fx-border-color: #FFFFFF;" +
                    "-fx-font-weight: bold;" +
                    "-fx-border-radius: 15px;" +
                    "-fx-background-radius: 20px;");
        }

        spielStarten.setVisible(false);

        startButton.setOnAction(event ->  {
            headline.setText("Start");
            for(Button button : buttons) {
                button.setVisible(false);

            }

            Label nameLabel = new Label("Name:");
            Label acronymLabel = new Label("Kürzel:");

            Label startLabels[] = {nameLabel, acronymLabel};

            int yPositionStartLabels = 225;
            for(Label label : startLabels) {
                label.setPrefSize(250, 50);
                label.setStyle("-fx-background-color: #DED894; " +
                        "-fx-text-fill: #000000; " +
                        "-fx-font-size: 20px; " +
                        "-fx-border-width: 5px;" +
                        "-fx-border-color: #543847;" +
                        "-fx-font-weight: bold;" +
                        "-fx-alignment: center;" +
                        "-fx-background-radius: 20px;" +
                        "-fx-border-radius: 15px;");

                label.setLayoutX(275);
                label.setLayoutY(yPositionStartLabels);
                yPositionStartLabels += 150;

                pane.getChildren().add(label);
            }

            TextField name = new TextField();
            TextField acronym = new TextField();

            TextField inputFields[] = {name, acronym};

            int yPositionInputFields = 290;
            for(TextField feld : inputFields) {
                feld.setPrefSize(250, 50);
                feld.setStyle("-fx-font-size: 20px;" +
                        "-fx-font-weight: bold;");

                feld.setLayoutX(275);
                feld.setLayoutY(yPositionInputFields);
                yPositionInputFields += 150;

                pane.getChildren().add(feld);
            }

            spielStarten.setVisible(true);

            spielStarten.setLayoutY(520);
        });


        startButton.setOnAction(event ->  {



        });

        stage.show();
    }
}
